diff --git a/sys/dev/raid/arcmsr/arcmsr.h b/sys/dev/raid/arcmsr/arcmsr.h
index ed91264..45edfff 100644
--- a/sys/dev/raid/arcmsr/arcmsr.h
+++ b/sys/dev/raid/arcmsr/arcmsr.h
@@ -1689,54 +1860,54 @@ struct SENSE_DATA {
 **                                                        0 1 Enqueue and forward the alias command code unaltered
 **                                                        1 0 Ignore the transaction, forcing Master Abort
 **                                                        1 1 Reserved
-** 05            1b                  Watchdog Timers Disable: Disables or enables all 2 24 Watchdog Timers in both directions.
-**                                                            The watchdog timers are used to detect prohibitively long latencies in the system.
-**                                                            The watchdog timer expires when any Posted Memory Write (PMW), Delayed Request,
-**                                                            or Split Requests (PCI-X mode) is not completed within 2 24 events
-**                                                            (¡§events¡¨ are defined as PCI Clocks when operating in PCI-X mode,
+** 05            1b                  Watchdog Timers Disable: Disables or enables all 2 24 Watchdog Timers in both directions. 
+**                                                            The watchdog timers are used to detect prohibitively long latencies in the system. 
+**                                                            The watchdog timer expires when any Posted Memory Write (PMW), Delayed Request, 
+**                                                            or Split Requests (PCI-X mode) is not completed within 2 24 events 
+**                                                            (¡§events¡¨ are defined as PCI Clocks when operating in PCI-X mode, 
 **								and as the number of times being retried when operating in Conventional PCI mode)
 **                                                            0b=All 2 24 watchdog timers are enabled.
-**                                                            1b=All 2 24 watchdog timers are disabled and there is no limits to
-**									the number of attempts bridge makes when initiating a PMW,
-**                                                                 transacting a Delayed Transaction, or how long it waits for
+**                                                            1b=All 2 24 watchdog timers are disabled and there is no limits to 
+**									the number of attempts bridge makes when initiating a PMW, 
+**                                                                 transacting a Delayed Transaction, or how long it waits for 
 **									a split completion corresponding to one of its requests.
-** 04            0b                  GRANT# time-out disable: This bit enables/disables the GNT# time-out mechanism.
+** 04            0b                  GRANT# time-out disable: This bit enables/disables the GNT# time-out mechanism. 
 **                                                            Grant time-out is 16 clocks for conventional PCI, and 6 clocks for PCI-X.
-**                                                            0b=The Secondary bus arbiter times out an agent
-**									that does not assert FRAME# within 16/6 clocks of receiving its grant,
-**										once the bus has gone idle.
-**                                                                 The time-out counter begins as soon as the bus goes idle with the new GNT# asserted.
-**                                                                 An infringing agent does not receive a subsequent GNT#
+**                                                            0b=The Secondary bus arbiter times out an agent 
+**									that does not assert FRAME# within 16/6 clocks of receiving its grant, 
+**										once the bus has gone idle. 
+**                                                                 The time-out counter begins as soon as the bus goes idle with the new GNT# asserted. 
+**                                                                 An infringing agent does not receive a subsequent GNT# 
 **									until it de-asserts its REQ# for at least one clock cycle.
 **                                                            1b=GNT# time-out mechanism is disabled.
 ** 03           00b                           Reserved.
 ** 02            0b          Secondary Discard Timer Disable: This bit enables/disables bridge secondary delayed transaction discard mechanism.
-**                                                            The time out mechanism is used to ensure that initiators
-**									of delayed transactions return for their delayed completion data/status
+**                                                            The time out mechanism is used to ensure that initiators 
+**									of delayed transactions return for their delayed completion data/status 
 **										within a reasonable amount of time after it is available from bridge.
-**                                                            0b=The secondary master time-out counter is enabled
-**										and uses the value specified by the Secondary Discard Timer bit
+**                                                            0b=The secondary master time-out counter is enabled 
+**										and uses the value specified by the Secondary Discard Timer bit 
 **											(see Bridge Control Register).
-**                                                            1b=The secondary master time-out counter is disabled.
-**											The bridge waits indefinitely for a secondary bus master
+**                                                            1b=The secondary master time-out counter is disabled. 
+**											The bridge waits indefinitely for a secondary bus master 
 **												to repeat a delayed transaction.
-** 01            0b            Primary Discard Timer Disable: This bit enables/disables bridge primary delayed transaction discard mechanism.
-**								The time out mechanism is used to ensure that initiators
-**									of delayed transactions return for their delayed completion data/status
+** 01            0b            Primary Discard Timer Disable: This bit enables/disables bridge primary delayed transaction discard mechanism. 
+**								The time out mechanism is used to ensure that initiators 
+**									of delayed transactions return for their delayed completion data/status 
 **										within a reasonable amount of time after it is available from bridge.
-**                                                            0b=The primary master time-out counter is enabled and uses the value specified
+**                                                            0b=The primary master time-out counter is enabled and uses the value specified 
 **									by the Primary Discard Timer bit (see Bridge Control Register).
-**                                                            1b=The secondary master time-out counter is disabled.
-**									The bridge waits indefinitely for a secondary bus master
+**                                                            1b=The secondary master time-out counter is disabled. 
+**									The bridge waits indefinitely for a secondary bus master 
 **										to repeat a delayed transaction.
 ** 00            0b                           Reserved
 **=================================================================================
 **  0x47-0x46: Bridge Control Register 2 - BCR2
 ** Bit       Default                       Description
 ** 15:07      0000b                          Reserved.
-** 06            0b Global Clock Out Disable (External Secondary Bus Clock Source Enable):
-**									This bit disables all of the secondary PCI clock outputs including
-**										the feedback clock S_CLKOUT.
+** 06            0b Global Clock Out Disable (External Secondary Bus Clock Source Enable): 
+**									This bit disables all of the secondary PCI clock outputs including 
+**										the feedback clock S_CLKOUT. 
 **                                                            This means that the user is required to provide an S_CLKIN input source.
 ** 05:04        11 (66 MHz)                  Preserved.
 **              01 (100 MHz)
@@ -1747,83 +1918,83 @@ struct SENSE_DATA {
 **                                        secondary PCI clock outputs. Some, or all secondary clock outputs (S_CLKO[3:0])
 **                                        default to being enabled following the rising edge of P_RST#, depending on the
 **                                        frequency of the secondary bus clock:
-**                                               ¡E Designs with 100 MHz (or lower) Secondary PCI clock power up with
+**                                               ¡E Designs with 100 MHz (or lower) Secondary PCI clock power up with 
 **								all four S_CLKOs enabled by default. (SCLKO[3:0])¡P
-**                                               ¡E Designs with 133 MHz Secondary PCI clock power up
-**								with the lower order 3 S_CLKOs enabled by default.
-**								(S_CLKO[2:0]) Only those SCLKs that power up enabled by can be connected
+**                                               ¡E Designs with 133 MHz Secondary PCI clock power up 
+**								with the lower order 3 S_CLKOs enabled by default. 
+**								(S_CLKO[2:0]) Only those SCLKs that power up enabled by can be connected 
 **								to downstream device clock inputs.
 **=================================================================================
 **  0x49-0x48: Bridge Status Register - BSR
 ** Bit       Default                       Description
-** 15           0b  Upstream Delayed Transaction Discard Timer Expired: This bit is set to a 1b and P_SERR#
+** 15           0b  Upstream Delayed Transaction Discard Timer Expired: This bit is set to a 1b and P_SERR# 
 **									is conditionally asserted when the secondary discard timer expires.
-** 14           0b  Upstream Delayed/Split Read Watchdog Timer Expired:
+** 14           0b  Upstream Delayed/Split Read Watchdog Timer Expired: 
 **                                                     Conventional PCI Mode: This bit is set to a 1b and P_SERR#
 **									is conditionally asserted when bridge discards an upstream delayed read **	**									transaction request after 2 24 retries following the initial retry.
-**                                                                PCI-X Mode: This bit is set to a 1b and P_SERR# is conditionally asserted
-**									when bridge discards an upstream split read request
-**									after waiting in excess of 2 24 clocks for the corresponding
+**                                                                PCI-X Mode: This bit is set to a 1b and P_SERR# is conditionally asserted 
+**									when bridge discards an upstream split read request 
+**									after waiting in excess of 2 24 clocks for the corresponding 
 **									Split Completion to arrive.
-** 13           0b Upstream Delayed/Split Write Watchdog Timer Expired:
-**                                                     Conventional PCI Mode: This bit is set to a 1b and P_SERR#
+** 13           0b Upstream Delayed/Split Write Watchdog Timer Expired: 
+**                                                     Conventional PCI Mode: This bit is set to a 1b and P_SERR# 
 **									is conditionally asserted when bridge discards an upstream delayed write **	**									transaction request after 2 24 retries following the initial retry.
-**                                                                PCI-X Mode: This bit is set to a 1b and P_SERR#
-**									is conditionally asserted when bridge discards an upstream split write request **									after waiting in excess of 2 24 clocks for the corresponding
+**                                                                PCI-X Mode: This bit is set to a 1b and P_SERR# 
+**									is conditionally asserted when bridge discards an upstream split write request **									after waiting in excess of 2 24 clocks for the corresponding 
 **									Split Completion to arrive.
-** 12           0b           Master Abort during Upstream Posted Write: This bit is set to a 1b and P_SERR#
-**									is conditionally asserted when a Master Abort occurs as a result of an attempt,
+** 12           0b           Master Abort during Upstream Posted Write: This bit is set to a 1b and P_SERR# 
+**									is conditionally asserted when a Master Abort occurs as a result of an attempt, 
 **									by bridge, to retire a PMW upstream.
-** 11           0b           Target Abort during Upstream Posted Write: This bit is set to a 1b and P_SERR#
+** 11           0b           Target Abort during Upstream Posted Write: This bit is set to a 1b and P_SERR# 
 **									is conditionally asserted when a Target Abort occurs as a result of an attempt,
 **									by bridge, to retire a PMW upstream.
-** 10           0b                Upstream Posted Write Data Discarded: This bit is set to a 1b and P_SERR#
-**									is conditionally asserted when bridge discards an upstream PMW transaction
+** 10           0b                Upstream Posted Write Data Discarded: This bit is set to a 1b and P_SERR# 
+**									is conditionally asserted when bridge discards an upstream PMW transaction 
 **									after receiving 2 24 target retries from the primary bus target
-** 09           0b             Upstream Posted Write Data Parity Error: This bit is set to a 1b and P_SERR#
-**									is conditionally asserted when a data parity error is detected by bridge
+** 09           0b             Upstream Posted Write Data Parity Error: This bit is set to a 1b and P_SERR# 
+**									is conditionally asserted when a data parity error is detected by bridge 
 **									while attempting to retire a PMW upstream
-** 08           0b                  Secondary Bus Address Parity Error: This bit is set to a 1b and P_SERR#
-**									is conditionally asserted when bridge detects an address parity error on
+** 08           0b                  Secondary Bus Address Parity Error: This bit is set to a 1b and P_SERR# 
+**									is conditionally asserted when bridge detects an address parity error on 
 **									the secondary bus.
-** 07           0b Downstream Delayed Transaction Discard Timer Expired: This bit is set to a 1b and P_SERR#
+** 07           0b Downstream Delayed Transaction Discard Timer Expired: This bit is set to a 1b and P_SERR# 
 **									is conditionally asserted when the primary bus discard timer expires.
 ** 06           0b Downstream Delayed/Split Read Watchdog Timer Expired:
-**                                                     Conventional PCI Mode: This bit is set to a 1b and P_SERR#
+**                                                     Conventional PCI Mode: This bit is set to a 1b and P_SERR# 
 **									is conditionally asserted when bridge discards a downstream delayed read **	**										transaction request after receiving 2 24 target retries
 **											 from the secondary bus target.
-**                                                                PCI-X Mode: This bit is set to a 1b and P_SERR# is conditionally asserted
-**										when bridge discards a downstream split read request
-**											after waiting in excess of 2 24 clocks for the corresponding
+**                                                                PCI-X Mode: This bit is set to a 1b and P_SERR# is conditionally asserted 
+**										when bridge discards a downstream split read request 
+**											after waiting in excess of 2 24 clocks for the corresponding 
 **												Split Completion to arrive.
 ** 05           0b Downstream Delayed Write/Split Watchdog Timer Expired:
-**                                                     Conventional PCI Mode: This bit is set to a 1b and P_SERR# is conditionally asserted
-**									when bridge discards a downstream delayed write transaction request
+**                                                     Conventional PCI Mode: This bit is set to a 1b and P_SERR# is conditionally asserted 
+**									when bridge discards a downstream delayed write transaction request 
 **										after receiving 2 24 target retries from the secondary bus target.
-**                                                                PCI-X Mode: This bit is set to a 1b and P_SERR#
-**									is conditionally asserted when bridge discards a downstream
-**										split write request after waiting in excess of 2 24 clocks
+**                                                                PCI-X Mode: This bit is set to a 1b and P_SERR# 
+**									is conditionally asserted when bridge discards a downstream 
+**										split write request after waiting in excess of 2 24 clocks 
 **											for the corresponding Split Completion to arrive.
-** 04           0b          Master Abort during Downstream Posted Write: This bit is set to a 1b and P_SERR#
-**									is conditionally asserted when a Master Abort occurs as a result of an attempt,
+** 04           0b          Master Abort during Downstream Posted Write: This bit is set to a 1b and P_SERR# 
+**									is conditionally asserted when a Master Abort occurs as a result of an attempt, 
 **										by bridge, to retire a PMW downstream.
-** 03           0b          Target Abort during Downstream Posted Write: This bit is set to a 1b and P_SERR# is conditionally asserted
-**										when a Target Abort occurs as a result of an attempt, by bridge,
+** 03           0b          Target Abort during Downstream Posted Write: This bit is set to a 1b and P_SERR# is conditionally asserted 
+**										when a Target Abort occurs as a result of an attempt, by bridge, 
 **											to retire a PMW downstream.
 ** 02           0b               Downstream Posted Write Data Discarded: This bit is set to a 1b and P_SERR#
-**									is conditionally asserted when bridge discards a downstream PMW transaction
+**									is conditionally asserted when bridge discards a downstream PMW transaction 
 **										after receiving 2 24 target retries from the secondary bus target
-** 01           0b            Downstream Posted Write Data Parity Error: This bit is set to a 1b and P_SERR#
-**									is conditionally asserted when a data parity error is detected by bridge
+** 01           0b            Downstream Posted Write Data Parity Error: This bit is set to a 1b and P_SERR# 
+**									is conditionally asserted when a data parity error is detected by bridge 
 **										while attempting to retire a PMW downstream.
-** 00           0b                     Primary Bus Address Parity Error: This bit is set to a 1b and P_SERR# is conditionally asserted
+** 00           0b                     Primary Bus Address Parity Error: This bit is set to a 1b and P_SERR# is conditionally asserted 
 **										when bridge detects an address parity error on the primary bus.
 **==================================================================================
 **  0x51-0x50: Bridge Multi-Transaction Timer Register - BMTTR
 ** Bit       Default                       Description
 ** 15:13       000b                          Reserved
-** 12:10       000b                          GRANT# Duration: This field specifies the count (PCI clocks)
-**							that a secondary bus master has its grant maintained in order to enable
+** 12:10       000b                          GRANT# Duration: This field specifies the count (PCI clocks) 
+**							that a secondary bus master has its grant maintained in order to enable 
 **								multiple transactions to execute within the same arbitration cycle.
 **                                                    Bit[02:00] GNT# Extended Duration
 **                                                               000 MTT Disabled (Default=no GNT# extension)
@@ -1835,62 +2006,62 @@ struct SENSE_DATA {
 **                                                               110 Invalid (treated as 000)
 **                                                               111 Invalid (treated as 000)
 ** 09:08        00b                          Reserved
-** 07:00        FFh                                 MTT Mask: This field enables/disables MTT usage for each REQ#/GNT#
-**								pair supported by bridge secondary arbiter.
+** 07:00        FFh                                 MTT Mask: This field enables/disables MTT usage for each REQ#/GNT# 
+**								pair supported by bridge secondary arbiter. 
 **                                                            Bit(7) corresponds to SATU internal REQ#/GNT# pair,
-**                                                            bit(6) corresponds to bridge internal REQ#/GNT# pair,
+**                                                            bit(6) corresponds to bridge internal REQ#/GNT# pair, 
 **                                                            bit(5) corresponds to REQ#/GNT#(5) pair, etc.
-**                                                  When a given bit is set to 1b, its corresponding REQ#/GNT#
+**                                                  When a given bit is set to 1b, its corresponding REQ#/GNT# 
 **								pair is enabled for MTT functionality as determined by bits(12:10) of this register.
 **                                                  When a given bit is cleared to 0b, its corresponding REQ#/GNT# pair is disabled from using the MTT.
 **==================================================================================
 **  0x53-0x52: Read Prefetch Policy Register - RPPR
 ** Bit       Default                       Description
-** 15:13       000b                    ReRead_Primary Bus: 3-bit field indicating the multiplication factor
-**							to be used in calculating the number of bytes to prefetch from the secondary bus interface on **								subsequent PreFetch operations given that the read demands were not satisfied
+** 15:13       000b                    ReRead_Primary Bus: 3-bit field indicating the multiplication factor 
+**							to be used in calculating the number of bytes to prefetch from the secondary bus interface on **								subsequent PreFetch operations given that the read demands were not satisfied 
 **									using the FirstRead parameter.
-**                                           The default value of 000b correlates to: Command Type Hardwired pre-fetch amount Memory Read 4 DWORDs
+**                                           The default value of 000b correlates to: Command Type Hardwired pre-fetch amount Memory Read 4 DWORDs 
 **							Memory Read Line 1 cache lines Memory Read Multiple 2 cache lines
-** 12:10       000b                 FirstRead_Primary Bus: 3-bit field indicating the multiplication factor to be used in calculating
-**							the number of bytes to prefetch from the secondary bus interface
+** 12:10       000b                 FirstRead_Primary Bus: 3-bit field indicating the multiplication factor to be used in calculating 
+**							the number of bytes to prefetch from the secondary bus interface 
 **								on the initial PreFetch operation.
-**                                           The default value of 000b correlates to: Command Type Hardwired pre-fetch amount Memory Read 4 DWORDs
+**                                           The default value of 000b correlates to: Command Type Hardwired pre-fetch amount Memory Read 4 DWORDs 
 **								Memory Read Line 1 cache line Memory Read Multiple 2 cache lines
-** 09:07       010b                  ReRead_Secondary Bus: 3-bit field indicating the multiplication factor to be used
-**								in calculating the number of bytes to prefetch from the primary
-**									bus interface on subsequent PreFetch operations given
-**										that the read demands were not satisfied using
+** 09:07       010b                  ReRead_Secondary Bus: 3-bit field indicating the multiplication factor to be used 
+**								in calculating the number of bytes to prefetch from the primary 
+**									bus interface on subsequent PreFetch operations given 
+**										that the read demands were not satisfied using 
 **											the FirstRead parameter.
 **                                           The default value of 010b correlates to: Command Type Hardwired pre-fetch a
-**							mount Memory Read 3 cache lines Memory Read Line 3 cache lines
+**							mount Memory Read 3 cache lines Memory Read Line 3 cache lines 
 **								Memory Read Multiple 6 cache lines
-** 06:04       000b               FirstRead_Secondary Bus: 3-bit field indicating the multiplication factor to be used
-**							in calculating the number of bytes to prefetch from
+** 06:04       000b               FirstRead_Secondary Bus: 3-bit field indicating the multiplication factor to be used 
+**							in calculating the number of bytes to prefetch from 
 **								the primary bus interface on the initial PreFetch operation.
-**                                           The default value of 000b correlates to: Command Type Hardwired pre-fetch amount
+**                                           The default value of 000b correlates to: Command Type Hardwired pre-fetch amount 
 **							Memory Read 4 DWORDs Memory Read Line 1 cache line Memory Read Multiple 2 cache lines
-** 03:00      1111b                Staged Prefetch Enable: This field enables/disables the FirstRead/ReRead pre-fetch
+** 03:00      1111b                Staged Prefetch Enable: This field enables/disables the FirstRead/ReRead pre-fetch 
 **							algorithm for the secondary and the primary bus interfaces.
 **                                                         Bit(3) is a ganged enable bit for REQ#/GNT#[7:3], and bits(2:0) provide individual
-**                                                                            enable bits for REQ#/GNT#[2:0].
+**                                                                            enable bits for REQ#/GNT#[2:0]. 
 **							  (bit(2) is the enable bit for REQ#/GNT#[2], etc...)
 **                                                                            1b: enables the staged pre-fetch feature
 **                                                                            0b: disables staged pre-fetch,
-**                                                         and hardwires read pre-fetch policy to the following for
-**                                                         Memory Read,
-**                                                         Memory Read Line,
-**                                                     and Memory Read Multiple commands:
+**                                                         and hardwires read pre-fetch policy to the following for 
+**                                                         Memory Read, 
+**                                                         Memory Read Line, 
+**                                                     and Memory Read Multiple commands: 
 **                                                     Command Type Hardwired Pre-Fetch Amount...
 **                                                                                      Memory Read 4 DWORDs
 **                                                                                      Memory Read Line 1 cache line
 **                                                                                      Memory Read Multiple 2 cache lines
-** NOTE: When the starting address is not cache line aligned, bridge pre-fetches Memory Read line commands
-** only to the next higher cache line boundary.For non-cache line aligned Memory Read
+** NOTE: When the starting address is not cache line aligned, bridge pre-fetches Memory Read line commands 
+** only to the next higher cache line boundary.For non-cache line aligned Memory Read 
 ** Multiple commands bridge pre-fetches only to the second cache line boundary encountered.
 **==================================================================================
 **  0x55-0x54: P_SERR# Assertion Control - SERR_CTL
 ** Bit       Default                       Description
-**  15          0b   Upstream Delayed Transaction Discard Timer Expired: Dictates the bridge behavior
+**  15          0b   Upstream Delayed Transaction Discard Timer Expired: Dictates the bridge behavior 
 ** 						in response to its discarding of a delayed transaction that was initiated from the primary bus.
 **                                                                       0b=bridge asserts P_SERR#.
 **                                                                       1b=bridge does not assert P_SERR#
